%global momorel 1
%global md5sum_src0 d2f4de5ae42d55921a869959339d2725

Name:           perl-Perl-Critic
Version:        1.061
Release:        %{momorel}m%{?dist}
Epoch:          1
Summary:        Critique Perl source code for best-practices
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Perl-Critic/
%NoSource 0     http://www.cpan.org/authors/id/T/TH/THALJEF/perlcritic/Perl-Critic-%{version}.tar.gz %{md5sum_src0}
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch
BuildRequires:  perl-Config-Tiny >= 2
BuildRequires:  perl-File-HomeDir
BuildRequires:  perl-IO-String
BuildRequires:  perl-List-MoreUtils
BuildRequires:  perl-Module-Build
BuildRequires:  perl-Module-Pluggable
BuildRequires:  perl-Perl-Tidy
BuildRequires:  perl-PPI >= 1.117
BuildRequires:  perl-Set-Scalar
BuildRequires:  perl-String-Format >= 1.13
# BuildRequires:  perl-Test-Perl-Critic
Requires:       perl-Config-Tiny >= 2
Requires:       perl-File-HomeDir
Requires:       perl-IO-String
Requires:       perl-List-MoreUtils
Requires:       perl-Module-Pluggable
Requires:       perl-Perl-Tidy
Requires:       perl-PPI >= 1.117
Requires:       perl-Set-Scalar
Requires:       perl-String-Format >= 1.13
Requires:       perl-Test-Perl-Critic
Requires:	perl-B-Keywords
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Perl::Critic is an extensible framework for creating and applying coding
standards to Perl source code. Essentially, it is a static source code
analysis engine. Perl::Critic is distributed with a number of
Perl::Critic::Policy modules that attempt to enforce various coding
guidelines. Most Policy modules are based on Damian Conway's book Perl Best
Practices. However, Perl::Critic is not limited to PBP and will even
support Policies that contradict Conway. You can enable, disable, and
customize those Polices through the Perl::Critic interface. You can also
create new Policy modules that suit your own tastes.

%prep
%setup -q -n Perl-Critic-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{_bindir}/perlcritic
%{perl_vendorlib}/Perl/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Thu Jul 26 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.061-1m)
- update to 1.061

* Mon Jul  9 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.06-2m)
- add Epoch: 1 for yum upgrade

* Thu Jul  5 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.06-1m)
- update to 1.06

* Tue Jun  5 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.053-1m)
- update to 1.053

* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.052-1m)
- update to 1.052

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.051-2m)
- use vendor

* Thu Apr 12 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.051-1m)
- update to 1.051

* Wed Mar 21 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.05-1m)
- update to 1.05

* Wed Feb 14 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.03-1m)
- update to 1.03

* Mon Feb 12 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.02-1m)
- update to 1.02

* Fri Jan 26 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.01-1m)
- update to 1.01
- add Requires: perl-B-Keywords

* Sat Jan 20 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.23-1m)
- update to 0.23

* Wed Nov  8 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.21-1m)
- update to 0.21

* Mon Oct 02 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.2-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
